#' Example data.frame with species name column
#'
#' A dataset containing the prices and other attributes of almost 54,000
#' diamonds.
#'
#' @format A data frame with 53940 rows and 10 variables:
#' \describe{
#'   \item{scientificName}{scientific name of the species}
#'   \item{kingdom}{kingdom to which the species belongs}
#'   \item{euConcernStatus}{level of concern according to EU directives}
#' }
"species_example"


#' Example data.frame with species name column
#'
#' A dataset containing the prices and other attributes of almost 54,000
#' diamonds.
#'
#' @format A data frame with 53940 rows and 10 variables:
#' \describe{
#'   \item{id}{resource identifier}
#'   \item{latitude}{Latitude of the coordinates}
#'   \item{longitude}{Longitude of the coordinates}
#' }
"coordinate_example"


#' Example data.frame with KNMI downloaded data
#'
#' A dataset containing the rainfall from January 1st till February 1st for
#' Vlissingen and Westdorpe, as downloaded from KNMI
#'
#' @format A data frame with 1536 rows and 9 variables:
#' \describe{
#'   \item{value}{measured value}
#'   \item{datetime}{datetime of the measurement}
#'   \item{unit}{unit (mm)}
#'   \item{variable_name}{precipitation}
#'   \item{longitude}{coordinate}
#'   \item{latitude}{coordinate}
#'   \item{location_name}{station name}
#'   \item{source_filename}{filename from which the data was read}
#'   \item{quality_code}{Nan as KNMI does not provide this}
#' }
"rain_knmi_2012"


